Skip to main content
GET
/
{workspace_id}
/
apps
List apps
curl --request GET \
  --url https://app.base44.com/api/v1/monitoring/{workspace_id}/apps \
  --header 'api_key: <api-key>'
{
  "apps": [
    {
      "app_id": "app_abc123",
      "app_name": "Sales Dashboard",
      "is_published": true,
      "visibility": "Public (with login)",
      "views_last_30d": 1205,
      "active_users_last_30d": 89,
      "message_credits_consumed": 4250,
      "integration_credits_consumed": 875,
      "total_credits_consumed": 5125,
      "owner_user_id": "user_abc123",
      "created_by_email": "jane.doe@company.com",
      "created_at": "2025-01-10T14:30:00Z",
      "last_published": "2025-01-10T14:30:00Z"
    }
  ],
  "pagination": {
    "total": 156,
    "limit": 50,
    "has_more": true,
    "next_cursor": "eyJsYXN0X2lkIjoiMTIzIn0="
  }
}

Authorizations

api_key
string
header
required

API key for authentication. See the Authentication page for your API for details on how to get your key.

Path Parameters

workspace_id
string
required

Query Parameters

limit
integer
default:50

Items per page. Max 50.

Required range: 1 <= x <= 50
cursor
string | null

Pagination cursor from previous response.

from
string | null

Start date in YYYY-MM-DD format. Required if to is provided. Defaults to billing period start.

to
string | null

End date in YYYY-MM-DD format. Required if from is provided. Defaults to current date.

sort
string | null

Sort field. Prefix with - for descending. Supported fields: app_name, created_at, created_by_email, owner_user_id, last_published, is_published, views_last_30d, active_users_last_30d, message_credits_consumed, integration_credits_consumed, total_credits_consumed.

search
string | null

Case-insensitive search over app name and creator email.

Maximum string length: 100
is_published
boolean | null

Filter to published (true) or unpublished (false) apps.

visibility
string | null

Filter by app visibility. Accepts private, workspace, public_with_login, public_without_login, or public.

Response

Successful Response

Paginated workspace app inventory.

apps
WorkspaceAppListItem · object[]
required

List of workspace apps.

pagination
PaginationMetadata · object
required

Pagination metadata.